# How to get metrics breakdown by multiple dimensions via Data Explorer

In this “How to”, we will use Data Explorer UI to **export a spreadsheet** (CSV) **containing some metrics from a campaign breakdown by multiple dimensions**. It allows us to dive deeper than the AB Tasty included reporting while still taking advantage of AB Tasty’s high quality statistical metrics.\
To learn more about Data Explorer, refer to [this article](/reporting-and-performances/data-explorer.md).

## 1. Defining the expected end result <a href="#h_01jhqy2j4rp80241zrmtmss72j" id="h_01jhqy2j4rp80241zrmtmss72j"></a>

We should first define the end results you want to exploit in the CSV output. These columns will be filled with metrics. For this example, let’s say that you are interested in the following metrics:

* The number of visitors
* The number of new visitors
* The number of clicks
* The conversion rate per user (not per session)

## 2. Defining the breakdown of the previously defined end results <a href="#h_01jhqy2j4rv2jkkn50x18tgscf" id="h_01jhqy2j4rv2jkkn50x18tgscf"></a>

Then, you must define the breakdown you want to apply. For this example, let’s say that you are interested in the following dimensions:

* The country of the user
* The device type (smartphone or desktop?)

## 3. Defining the campaigns and visitors concerned <a href="#h_01jhqy2j4r8vq3pc2ae3q0h8zv" id="h_01jhqy2j4r8vq3pc2ae3q0h8zv"></a>

By default, all campaigns and all visitors are included in your query. We can specify which campaign interests you and/or which population thanks to the filters. For our example:

* We will focus on the campaign 491215: By using the campaign filter, you will exclude all hits that were triggered in sessions where the campaign 491215 has not been seen.
* We will focus on the action tracker called “CTAsubmit”: By filtering hits with “Action tracker name (ea)” is equals to “CTASubmit”, only these hits will be taken into account in the computing of our metrics. Another solution may have been to use “Action tracker name (ea)” as a dimension in order to get results for each tracker in our CSV output.

## 4. Running the query <a href="#h_01jhqy2j4r8q0qaahf26z70y0h" id="h_01jhqy2j4r8q0qaahf26z70y0h"></a>

You can now run the query. To make sure your query is correct, we recommend you to run the query on a short period (ex: yesterday) to run the test while consuming few data.

Once you’re ok with your query, select the full period you need. You can now download the CSV output and analyze it by yourself in a spreadsheet app or with custom scripts.

### Other articles on Data Explorer: <a href="#h_01jhqzdehxnnj8raebh9bk13ae" id="h_01jhqzdehxnnj8raebh9bk13ae"></a>

* [Data Explorer - List of Metrics and Dimensions](/reporting-and-performances/data-explorer/data-explorer---list-of-metrics-and-dimensions.md)
* [How to get a list of recent hits via Data Explorer](/reporting-and-performances/data-explorer/how-to-get-a-list-of-recent-hits-via-data-explorer.md)
* [How to analyze page traffic via Data Explorer](/reporting-and-performances/data-explorer/how-to-analyze-page-traffic-via-data-explorer.md)
* [Data Explorer](https://support.abtasty.com/hc/en-us/articles/17966550751900)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abtasty.com/reporting-and-performances/data-explorer/how-to-get-metrics-breakdown-by-multiple-dimensions-via-data-explorer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
